complexType "Money"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 28 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency?, amount?
</...>

Content Model Elements (2):

  amount (defined in Money complexType), | currency (defined in MoneyBase complexType)

Known Direct Subtypes (1):

  CalculationAmount

All Direct / Indirect Based Elements (28):

  accruedInterest (in dividendPayment), allocatedNotional, amount (in dividendPayment), approvedNotionalAmount, basketAmount, calculationAmount (in fixedAmountCalculation), calculationAmount (in protectionTerms), cashflowAmount, cashSettlementAmount, creditChargeAmount, defaultRequirement, factoredCalculationAmount, fixedAmount (in periodicPayment), fixedAmount (in singlePayment), | forecastAmount, forecastPaymentAmount, minimumQuotationAmount, novatedAmount, paymentAmount (in adjustedPaymentDates), paymentAmount (in paymentDetail), paymentRequirement, presentValueAmount (defined in Payment complexType), presentValueAmount (in paymentCalculationPeriod), presentValuePrincipalExchangeAmount, quotationAmount, remainingAmount, requestedNotionalAmount, splitSettlementAmount

Known Usage Locations

- In derivations of other global types (1):
  CalculationAmount (as extension base)
- As direct type of elements (27):

  accruedInterest (in dividendPayment), allocatedNotional, amount (in dividendPayment), approvedNotionalAmount, basketAmount, calculationAmount (in protectionTerms), cashflowAmount, cashSettlementAmount, creditChargeAmount, defaultRequirement, factoredCalculationAmount, fixedAmount (in periodicPayment), fixedAmount (in singlePayment), forecastAmount, | forecastPaymentAmount, minimumQuotationAmount, novatedAmount, paymentAmount (in adjustedPaymentDates), paymentAmount (in paymentDetail), paymentRequirement, presentValueAmount (defined in Payment complexType), presentValueAmount (in paymentCalculationPeriod), presentValuePrincipalExchangeAmount, quotationAmount, remainingAmount, requestedNotionalAmount, splitSettlementAmount

Annotation
A type defining a currency amount.
Type Definition Detail

Type Derivation Tree MoneyBase (extension) Money

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Money"> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="xsd:decimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
amount

  Type: | xsd:decimal, predefined, simple content

  The monetary quantity in currency units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.